events.listen('recipes', function (e) {
  //arc furance Steel
  e.remove({ id: 'immersiveengineering:arcfurnace/steel' })
  e.custom({
    "type": "immersiveengineering:arc_furnace",
    "input": { "tag": "forge:ingots/iron" },
    "additives": [{ "tag": "forge:dusts/coal_coke" }],
    "slag": { "tag": "forge:slag" },
    "results": [{ "item": "mekanism:ingot_steel", "count": 1 }],
    "time": 100,
    "energy": 51200
  })
  e.remove({ id: 'immersiveengineering:arcfurnace/dust_steel' })
  e.custom({
    "type": "immersiveengineering:arc_furnace",
    "input": { "item": "mekanism:dust_steel" },
    "additives": [],
    "results": [{ "item": "mekanism:ingot_steel", "count": 1 }],
    "time": 100,
    "energy": 51200
  })
  //blast furnace steel
  e.remove({ id: 'immersiveengineering:blastfurnace/steel' })
  e.custom({
    "type": "immersiveengineering:blast_furnace",
    "input": { "tag": "forge:ingots/iron" },
    "slag": { "item": "immersiveengineering:slag" },
    "result": { "item": "mekanism:ingot_steel", "count": 1 },
    "time": 1200,
  })
  e.remove({ id: 'immersiveengineering:blastfurnace/steel_block' })
  e.custom({
    "type": "immersiveengineering:blast_furnace",
    "input": { "tag": "forge:storage_blocks/iron" },
    "slag": { "item": "immersiveengineering:slag", "count": 9 },
    "result": { "item": "mekanism:block_steel", "count": 1 },
    "time": 10800,
  })

  //Iron rod
  e.remove({ id: 'immersiveengineering:metalpress/rod_iron' })
  e.custom({"type":"immersiveengineering:metal_press","mold":{"item":"immersiveengineering:mold_rod"},"result":{"count":2,"base_ingredient":{"item":"createaddition:iron_rod"}},"input":{"tag":"forge:ingots/iron"},"energy":2400})
  e.remove({ id: 'tconstruct:smeltery/casting/metal/iron/rod_gold_cast' })
  e.remove({ id: 'tconstruct:smeltery/casting/metal/iron/rod_sand_cast' })
  tinkerCasting("tconstruct:molten_iron", 72, "createaddition:iron_rod", "tconstruct:casts/multi_use/rod", false, 40)
  tinkerCasting("tconstruct:molten_iron", 72, "createaddition:iron_rod", "tconstruct:casts/single_use/rod", true, 40)

  function tinkerCasting(input, qte, output, cast, consume, time) {
    e.custom({"type": "tconstruct:casting_table","cast": { "tag": cast },"cast_consumed": consume,"fluid": { "name": input, "amount": qte },"result": output,"cooling_time": time})}

})